.TH ldaptor\-passwd 1 "Sat, 28 Mar 2009" "Jan Dittberner" "User Commands"

.SH NAME
ldaptor\-passwd \- set a new LDAP password

.SH SYNOPSIS
.B ldaptor\-passwd
\fI--binddn=DN \fR[\fIOPTION\fR..] [\fIDN\fR..]

.SH OPTIONS
.TP
\fB\-\-generate\fR
Generate random passwords
.TP
\fB\-\-binddn=\fR
use Distinguished Name to bind to the directory
.TP
\fB\-\-bind\-auth\-fd=\fR
read bind password from filedescriptor
.TP
\fB\-\-service\-location=\fR
Service location, in the form BASEDN:HOST[:PORT]

.SH DESCRIPTION
.B ldaptor\-passwd
sets new passwords for the given list of DNs. If the
\fB\-\-generate\fR option is specified the passwords are generated
automatically. If no DN is specified the password for the bind DN is
changed.

.SH RESULT
.B ldaptor\-passwd
prints a list of DNs and new password pairs for all modified DNs.

.SH AUTHOR
This man page was written by Jan Dittberner <jandd@debian.org> for the
Debian GNU/Linux System (but may be used by others).
